Bug 496955 - Rawhide-20090421: system-config-* modules all getting "Import Error: No module named gtk"
Rawhide-20090421: system-config-* modules all getting "Import Error: No modul...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 15:46 EDT by Gerry Reno
Modified: 2010-06-28 08:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-04-21 15:46:25 EDT
Description of problem:
Ran preupgrade on an F10 workstation selecting Rawhide.  After upgrade, any invocation of system-config-* modules would produce an "Import Error: No module named gtk".  After working with Jerry James on the devel list the conclusion was that pygtk2.x86_64 needs to
Require: pygobject2.x86_64, not just pygobject2

Version-Release number of selected component (if applicable):


How reproducible:
Just once.

Steps to Reproduce:
1. preupgrade F10 x86_64
2. reboot
3. try to launch any system-config-* module
  
Actual results:
See import error.

Expected results:
module launches successfully.

Additional info:

Jerry James wrote:
> On Tue, Apr 21, 2009 at 10:27 AM, Gerry Reno <greno@verizon.net> wrote:
>  
>> # python
>> Python 2.6 (r26:66714, Mar 17 2009, 11:44:14)
>> [GCC 4.4.0 20090313 (Red Hat 4.4.0-0.26)] on linux2
>> Type "help", "copyright", "credits" or "license" for more information.
>>    
>>>>> import sys
>>>>> print sys.path
>>>>>           
>> ['', '/usr/lib64/python26.zip', '/usr/lib64/python2.6',
>> '/usr/lib64/python2.6/plat-linux2', '/usr/lib64/python2.6/lib-tk',
>> '/usr/lib64/python2.6/lib-old', '/usr/lib64/python2.6/lib-dynload',
>> '/usr/lib64/python2.6/site-packages',
>> '/usr/lib64/python2.6/site-packages/Numeric',
>> '/usr/lib64/python2.6/site-packages/PIL',
>> '/usr/lib64/python2.6/site-packages/gst-0.10',
>> '/usr/lib64/python2.6/site-packages/scim-0.1',
>> '/usr/lib/python2.6/site-packages',
>> '/usr/lib/python2.6/site-packages/gtk-2.0']
>>     Regards,
>> Gerry
>>     
>
> I get this on my Rawhide machine:
>
> ['', '/usr/lib64/python26.zip', '/usr/lib64/python2.6',
> '/usr/lib64/python2.6/plat-linux2', '/usr/lib64/python-2.6/lib-tk',
> '/usr/lib64/python-2.6/lib-old', '/usr/lib64/python2.6/lib-dynload',
> '/usr/lib64/python2.6/site-packages',
> '/usr/lib64/python2.6/site-packages/Numeric',
> '/usr/lib64/python2.6/site-packages/PIL',
> '/usr/lib64/python2.6/gst-0.10',
> '/usr/lib64/python2.6/site-packages/gtk-2.0',
> '/usr/lib/python-2.6/site-packages']
>
> Notice that yours has /usr/lib/python2.6/site-packages/gtk-2.0, while
> mine has /usr/lib64/python2.6/site-packages/gtk-2.0.  That's why I
> asked about the arches, just in case you had an i586 pygtk2 on an
> x86_64 platform.  So what does "rpm -qf
> /usr/lib/python2.6/site-packages/gtk-2.0" tell you?  Do you have a
> /usr/lib64/python2.6/site-packages/gtk-2.0 directory?
>   
[root@localhost tmp]# rpm -qf /usr/lib/python2.6/site-packages/gtk-2.0/
pygobject2-2.16.1-3.fc11.i586
vte-0.20.1-1.fc11.i586
[root@localhost tmp]# rpm -qf /usr/lib64/python2.6/site-packages/gtk-2.0/
vte-0.20.1-1.fc11.x86_64
pygtk2-2.14.1-1.fc11.x86_64
Comment 1 Matthew Barnes 2009-04-22 18:38:40 EDT
Jeremy, need your advice on this one.
Comment 2 Jeremy Katz 2009-04-23 12:00:12 EDT
How did you get the pygobject/vte i386 packages installed?  Can you attach /var/log/anaconda.log, /var/log/yum.log and /var/log/rpm* ?
Comment 3 Gerry Reno 2009-04-23 12:32:40 EDT
I don't know.  Maybe one of our packages needed them.  I went looking for the logs but they had already reinstalled F10 on the box for some other testing.
Comment 4 Bug Zapper 2009-06-09 10:21:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 09:51:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:09:25 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.